# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_Method Class Reference

This class is a root class available for the
definition of methods and also for using them
throughout method instances. The logical name of
the method and the signature as a collection of
variables is stored in it.
.

`#include <Dynamic_Method.hxx>`

Inheritance diagram for Dynamic_Method:

[legend]

## Public Member Functions

virtual Standard_EXPORT TCollection_AsciiString | Type () const =0
| Returns the type of object which is the name of the function definition. .
Standard_EXPORT Handle_Dynamic_VariableNode | FirstVariableNode () const
| Returns the first variable node of the Method which contains a variable. .
Standard_EXPORT Standard_Boolean | Variable (const Standard_CString avariable) const
| Returns true if there is a variable with <avariable> as name, false otherwise. .
Standard_EXPORT void | Variable (const Handle(Dynamic_Variable)&avariable)
| Adds another variable <avariable> to the sequence of variable definitions. .
Standard_EXPORT Standard_Boolean | Value (const Standard_CString aname, Handle(Dynamic_Parameter)&aparameter, Dynamic_ModeEnum &amode) const
| Returns True, if there is a variable <avariable> previously stored in the instance <me> and there is the corresponding parameter value in the output argument <aparameter>, False otherwise. .
Standard_EXPORT Standard_Boolean | Value (const Standard_CString aname, Handle(Dynamic_Variable)&avariable) const
| Returns True, if there is a variable named <aname> previously stored in the instance of <me> and returns the corresponding variable in the output argument <avariable>, False otherwise. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Dynamic_Method ()
| It is the constructor of this deferred class .

## Private Attributes

Handle_Dynamic_VariableNode | thefirstvariablenode

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_Method::Dynamic_Method | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_Method::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented in Dynamic_CompositMethod, and Dynamic_MethodDefinition.

Standard_EXPORT Handle_Dynamic_VariableNode Dynamic_Method::FirstVariableNode | ( |  | ) | const

Standard_EXPORT const Dynamic_Method::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared. Reimplemented in Dynamic_CompiledMethod, Dynamic_CompositMethod, Dynamic_InterpretedMethod, and Dynamic_MethodDefinition.

virtual Standard_EXPORT TCollection_AsciiString Dynamic_Method::Type | ( |  | ) | const`[pure virtual]`

| Implemented in Dynamic_MethodDefinition.

Standard_EXPORT Standard_Boolean Dynamic_Method::Value | ( | const Standard_CString | aname,
|  | Handle(Dynamic_Variable)& | avariable
| ) | const

Standard_EXPORT Standard_Boolean Dynamic_Method::Value | ( | const Standard_CString | aname,
|  | Handle(Dynamic_Parameter)& | aparameter,
|  | Dynamic_ModeEnum & | amode
| ) | const

Standard_EXPORT void Dynamic_Method::Variable | ( | const Handle(Dynamic_Variable)& | avariable | ) |

Standard_EXPORT Standard_Boolean Dynamic_Method::Variable | ( | const Standard_CString | avariable | ) | const

## Field Documentation

Handle_Dynamic_VariableNode Dynamic_Method::thefirstvariablenode `[private]`

The documentation for this class was generated from the following file:

- Dynamic_Method.hxx